<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <button nz-button nzSize="large" nzType="primary" (click)="save()">Lưu</button>
</div>
<nz-card>
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[32, 32]">
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.proviso.table.formLD' | translate }} <span class='label__required'>*</span>"
          mbPlaceholder="{{ 'development.proviso.table.formLD' | translate }} "
          formControlName="formLD"
          mbKeyLabel="formName"
          mbKeyValue="code"
          [mbDataSelects]="dataCommon.formDTOs"
          [mbType]="isSubmitted && form.controls['formLD'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['formLD'].errors != null"
          [mbErrors]="form.controls['formLD'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          [listOfSelectedValue]="form?.controls['formLD']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'formLD')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select
          mbLabelText="{{
            'development.proviso.table.conditionType' | translate
          }} <span class='label__required'>*</span>"
          mbPlaceholder="{{ 'development.proviso.table.conditionType' | translate }}"
          formControlName="conditionType"
          [mbDataSelects]="dataCommon.conditionType"
          mbKeyLabel="name"
          mbKeyValue="code"
          [mbType]="isSubmitted && form.controls['conditionType'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['conditionType'].errors != null"
          [mbErrors]="form.controls['conditionType'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          name="effectiveStartDate"
          [mbDisabledDate]="disabledStartDate"
          mbLabelText="{{
            'development.proviso.table.effectiveFromDate' | translate
          }} <span class='label__required'>*</span>"
          formControlName="effectiveFromDate"
          [mbType]="isSubmitted && form.controls['effectiveFromDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['effectiveFromDate'].errors != null"
          [mbErrors]="form.controls['effectiveFromDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          name="effectiveStartDate"
          [mbDisabledDate]="disabledEndDate"
          mbLabelText="{{ 'development.proviso.table.effectiveToDate' | translate }}"
          formControlName="effectiveToDate"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-input-text
          formControlName="semesterGradeT2"
          mbPlaceholderText="{{ 'development.proviso.table.semesterGradeT2' | translate }}"
          mbLabelText="{{ 'development.proviso.table.semesterGradeT2' | translate }}"
          maxlength="50"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.proviso.table.semesterRankT2' | translate }}"
          mbPlaceholder="{{ 'development.proviso.table.semesterRankT2' | translate }}"
          formControlName="semesterRankT2"
          [mbDataSelects]="dataCommon?.rank"
          mbKeyLabel="name"
          mbKeyValue="code"
          [listOfSelectedValue]="form?.controls['semesterRankT2']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'semesterRankT2')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-input-text
          formControlName="semesterGradeT1"
          mbPlaceholderText="{{ 'development.proviso.table.semesterGradeT1' | translate }}"
          mbLabelText="{{ 'development.proviso.table.semesterGradeT1' | translate }}"
          maxlength="50"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.proviso.table.semesterRankT1' | translate }}"
          mbPlaceholder="{{ 'development.proviso.table.semesterRankT1' | translate }}"
          formControlName="semesterRankT1"
          [mbDataSelects]="dataCommon?.rank"
          mbKeyLabel="name"
          mbKeyValue="code"
          [listOfSelectedValue]="form?.controls['semesterRankT1']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'semesterRankT1')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-input-text
          formControlName="seniority"
          mbPlaceholderText="{{ 'development.proviso.table.seniority' | translate }}"
          mbLabelText="{{ 'development.proviso.table.seniority' | translate }}"
          maxlength="50"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-input-text
          mbPlaceholderText="{{ 'development.proviso.table.positionSeniority' | translate }}"
          mbLabelText="{{ 'development.proviso.table.positionSeniority' | translate }}"
          formControlName="positionSeniority"
          maxlength="50"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.proviso.table.educationDegree' | translate }}"
          mbPlaceholder="{{ 'development.proviso.table.educationDegree' | translate }}"
          formControlName="educationDegree"
          [mbDataSelects]="dataCommon?.major"
          mbKeyLabel="name"
          mbKeyValue="code"
          [listOfSelectedValue]="form?.controls['educationDegree']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'educationDegree')"
        ></mb-select-check-able>
      </div>

      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.proviso.table.major' | translate }}"
          mbPlaceholder="{{ 'development.proviso.table.major' | translate }}"
          formControlName="major"
          [mbDataSelects]="dataCommon?.educationDegree"
          mbKeyLabel="name"
          mbKeyValue="code"
          [listOfSelectedValue]="form?.controls['major']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'major')"
        ></mb-select-check-able>
      </div>
     <div nz-col class="gutter-row mb-2" nzLg="6">
       <mb-input-text
         mbPlaceholderText="{{ 'development.proviso.table.endOfDisciplinaryDurationDismiss' | translate }}"
         mbLabelText="{{ 'development.proviso.table.endOfDisciplinaryDurationDismiss' | translate }}"
         formControlName="endOfDisciplinaryDurationDismiss"
       ></mb-input-text>
     </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-input-text
          mbPlaceholderText="{{ 'development.proviso.table.endOfDeciplines' | translate }}"
          mbLabelText="{{ 'development.proviso.table.endOfDeciplines' | translate }}"
          formControlName="endOfDeciplines"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.proviso.table.titleLevel' | translate }}"
          mbPlaceholder="{{ 'development.proviso.table.titleLevel' | translate }}"
          formControlName="titleLevel"
          [mbDataSelects]="dataCommon?.levelPosition"
          mbKeyLabel="name"
          mbKeyValue="code"
          [listOfSelectedValue]="form?.controls['titleLevel']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'titleLevel')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-input-text
          mbPlaceholderText="{{ 'development.proviso.table.ratedCapacity' | translate }}"
          mbLabelText="{{ 'development.proviso.table.ratedCapacity' | translate }}"
          formControlName="ratedCapacity"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.proviso.table.interviewResult' | translate }}"
          mbPlaceholder="{{ 'development.proviso.table.interviewResult' | translate }}"
          formControlName="interviewResult"
          [mbDataSelects]="dataCommon?.interviewResult"
          mbKeyLabel="name"
          mbKeyValue="code"
          [listOfSelectedValue]="form?.controls['interviewResult']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'interviewResult')"
        ></mb-select-check-able>
      </div>
    </div>
  </form>
</nz-card>
